# SPDX-License-Identifier: LGPL-2.1-or-later
#
# SPDX-FileCopyrightText: 2019 CERN

HEADERS := mockturtle_cpu_csr.h
HEADERS += mockturtle_cpu_lr.h

TRTL ?= ../../../..
TRTL_HDL = $(TRTL)/hdl/rtl

WBGEN2 ?= wbgen2

all: $(HEADERS)

mockturtle_cpu_csr.h: $(TRTL_HDL)/cpu/mt_cpu_csr.wb
	$(WBGEN2) -s defines -C $@ $<

mockturtle_cpu_lr.h: $(TRTL_HDL)/cpu/mt_cpu_lr.wb
	$(WBGEN2) -s defines -C $@ $<


clean:
	rm -rf $(HEADERS)
